"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SymbolSpecifier = void 0;
/**
 * Class for symbols that are contained in a named import or export or anywhere. Basically an aliased object.
 * (i.e. import {SYMBOL} from '...').
 *
 * @export
 * @class SymbolSpecifier
 * @implements {Clonable}
 */
var SymbolSpecifier = /** @class */ (function () {
    function SymbolSpecifier(specifier, alias) {
        this.specifier = specifier;
        this.alias = alias;
    }
    /**
     * Clones the current resolve specifier and returns a new instance with the same properties.
     *
     * @returns {SymbolSpecifier}
     *
     * @memberof SymbolSpecifier
     */
    SymbolSpecifier.prototype.clone = function () {
        return new SymbolSpecifier(this.specifier, this.alias);
    };
    return SymbolSpecifier;
}());
exports.SymbolSpecifier = SymbolSpecifier;
