"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateExternalModuleImport = void 0;
/**
 * Generates typescript code for an external module import.
 *
 * @export
 * @param {ExternalModuleImport} imp
 * @param {TypescriptGenerationOptions} { stringQuoteStyle, eol }
 * @returns {string}
 */
function generateExternalModuleImport(imp, _a) {
    var stringQuoteStyle = _a.stringQuoteStyle, eol = _a.eol;
    return "import " + imp.alias + " = require(" + stringQuoteStyle + imp.libraryName + stringQuoteStyle + ")" + eol;
}
exports.generateExternalModuleImport = generateExternalModuleImport;
