"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateMethodDeclaration = void 0;
var DeclarationVisibility_1 = require("../../declarations/DeclarationVisibility");
var parameterDeclaration_1 = require("./parameterDeclaration");
/**
 * Generates typescript code for a method declaration.
 *
 * @export
 * @param {MethodDeclaration} method
 * @param {TypescriptGenerationOptions} { tabSize }
 * @returns {string}
 */
function generateMethodDeclaration(method, _a) {
    var tabSize = _a.tabSize;
    var intend = Array(tabSize + 1).join(' ');
    return "" + intend +
        ("" + (method.visibility !== undefined ? DeclarationVisibility_1.getVisibilityText(method.visibility) + ' ' : '') + method.name + "(") +
        (method.parameters.map(function (o) { return parameterDeclaration_1.generateParameterDeclaration(o); }).join(', ') + ")") +
        ((method.type ? ": " + method.type : '') + " {\n" + intend + intend + "throw new Error('Not implemented yet.');\n" + intend + "}\n");
}
exports.generateMethodDeclaration = generateMethodDeclaration;
