"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generatePropertyDeclaration = void 0;
var DeclarationVisibility_1 = require("../../declarations/DeclarationVisibility");
/**
 * Generates typescript code for a class property.
 *
 * @export
 * @param {PropertyDeclaration} property
 * @param {TypescriptGenerationOptions} { tabSize }
 * @returns {string}
 */
function generatePropertyDeclaration(property, _a) {
    var tabSize = _a.tabSize;
    return "" + Array(tabSize + 1).join(' ') +
        ("" + (property.visibility !== undefined ? DeclarationVisibility_1.getVisibilityText(property.visibility) + ' ' : '')) +
        ("" + property.name + (property.isOptional ? '?' : '') + (property.type ? ": " + property.type : '') + ";\n");
}
exports.generatePropertyDeclaration = generatePropertyDeclaration;
