"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetterDeclaration = exports.GetterDeclaration = exports.AccessorDeclaration = void 0;
var tslib_1 = require("tslib");
/**
 * Property accessor declaration. This element represents the base and will be used in setters and getters.
 *
 * @export
 * @abstract
 * @class AccessorDeclaration
 * @implements {ScopedDeclaration}
 * @implements {TypedDeclaration}
 * @implements {AbstractDeclaration}
 */
var AccessorDeclaration = /** @class */ (function () {
    function AccessorDeclaration(name, visibility, type, isAbstract, isStatic, start, end) {
        this.name = name;
        this.visibility = visibility;
        this.type = type;
        this.isAbstract = isAbstract;
        this.isStatic = isStatic;
        this.start = start;
        this.end = end;
    }
    return AccessorDeclaration;
}());
exports.AccessorDeclaration = AccessorDeclaration;
/**
 * Getter declaration for a getter accessor of a class property.
 *
 * @export
 * @class GetterDeclaration
 * @extends {AccessorDeclaration}
 */
var GetterDeclaration = /** @class */ (function (_super) {
    tslib_1.__extends(GetterDeclaration, _super);
    function GetterDeclaration() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return GetterDeclaration;
}(AccessorDeclaration));
exports.GetterDeclaration = GetterDeclaration;
/**
 * Setter declaration for a getter accessor of a class property.
 *
 * @export
 * @class SetterDeclaration
 * @extends {AccessorDeclaration}
 */
var SetterDeclaration = /** @class */ (function (_super) {
    tslib_1.__extends(SetterDeclaration, _super);
    function SetterDeclaration() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return SetterDeclaration;
}(AccessorDeclaration));
exports.SetterDeclaration = SetterDeclaration;
