"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultDeclaration = void 0;
/**
 * Default declaration. Is used when a file exports something as its default.
 * Primary use is to ask the user about a name for the default export.
 * Is kind of an abstract declaration since there is no real declaration.
 *
 * @export
 * @class DefaultDeclaration
 * @implements {ExportableDeclaration}
 */
var DefaultDeclaration = /** @class */ (function () {
    function DefaultDeclaration(name, resource, start, end) {
        this.name = name;
        this.resource = resource;
        this.start = start;
        this.end = end;
        this.isExported = true;
    }
    Object.defineProperty(DefaultDeclaration.prototype, "exportedDeclaration", {
        get: function () {
            var _this = this;
            if (!this.exported) {
                this.exported = this.resource.declarations.find(function (o) { return o.name === _this.name; });
            }
            return this.exported;
        },
        enumerable: false,
        configurable: true
    });
    return DefaultDeclaration;
}());
exports.DefaultDeclaration = DefaultDeclaration;
