"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotGeneratableYetError = void 0;
var tslib_1 = require("tslib");
/**
 * Error that should be thrown, when a generatable is not yet able to be generated.
 *
 * @export
 * @class NotGeneratableYetError
 * @extends {Error}
 */
var NotGeneratableYetError = /** @class */ (function (_super) {
    tslib_1.__extends(NotGeneratableYetError, _super);
    function NotGeneratableYetError(generatable) {
        var _this = _super.call(this) || this;
        _this.message = "The element \"" + generatable.constructor.name + "\" is not yet generatable.";
        return _this;
    }
    return NotGeneratableYetError;
}(Error));
exports.NotGeneratableYetError = NotGeneratableYetError;
