"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignedExport = void 0;
var tslib_1 = require("tslib");
var Module_1 = require("../resources/Module");
var Namespace_1 = require("../resources/Namespace");
var TypescriptHeroGuards_1 = require("../type-guards/TypescriptHeroGuards");
/**
 * Declares an all export (i.e. export * from ...).
 *
 * @export
 * @class AssignedExport
 * @implements {Export}
 */
var AssignedExport = /** @class */ (function () {
    function AssignedExport(start, end, declarationIdentifier, resource) {
        this.start = start;
        this.end = end;
        this.declarationIdentifier = declarationIdentifier;
        this.resource = resource;
    }
    Object.defineProperty(AssignedExport.prototype, "exported", {
        /**
         * Returns a list of exported objects of this export.
         * This returns a list of possible exportable declarations or further exported resources.
         *
         * @readonly
         * @type {((ExportableDeclaration | Resource)[])}
         * @memberof AssignedExport
         */
        get: function () {
            var _this = this;
            return tslib_1.__spreadArrays(this.resource.declarations
                .filter(function (o) {
                return TypescriptHeroGuards_1.isExportableDeclaration(o) && o.isExported && o.name === _this.declarationIdentifier;
            }), this.resource.resources
                .filter(function (o) {
                return (o instanceof Namespace_1.Namespace || o instanceof Module_1.Module) && o.name === _this.declarationIdentifier;
            }));
        },
        enumerable: false,
        configurable: true
    });
    return AssignedExport;
}());
exports.AssignedExport = AssignedExport;
