"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExternalModuleImport = void 0;
/**
 * Alternative to the namespace import. Can be used by various libraries.
 * (i.e. import foobar = require('foobar')).
 *
 * @export
 * @class ExternalModuleImport
 * @implements {AliasedImport}
 */
var ExternalModuleImport = /** @class */ (function () {
    function ExternalModuleImport(libraryName, alias, start, end) {
        this.libraryName = libraryName;
        this.alias = alias;
        this.start = start;
        this.end = end;
    }
    Object.defineProperty(ExternalModuleImport.prototype, "isNew", {
        get: function () {
            return this.start === undefined || this.end === undefined;
        },
        enumerable: false,
        configurable: true
    });
    /**
     * Clone the current import object.
     *
     * @returns {ExternalModuleImport}
     *
     * @memberof ExternalModuleImport
     */
    ExternalModuleImport.prototype.clone = function () {
        return new ExternalModuleImport(this.libraryName, this.alias, this.start, this.end);
    };
    return ExternalModuleImport;
}());
exports.ExternalModuleImport = ExternalModuleImport;
