"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NamespaceImport = void 0;
/**
 * Import that imports a whole namespace (i.e. import * as foobar from 'foobar';).
 *
 * @export
 * @class TsNamespaceImport
 * @implements {AliasedImport}
 */
var NamespaceImport = /** @class */ (function () {
    function NamespaceImport(libraryName, alias, start, end) {
        this.libraryName = libraryName;
        this.alias = alias;
        this.start = start;
        this.end = end;
    }
    Object.defineProperty(NamespaceImport.prototype, "isNew", {
        get: function () {
            return this.start === undefined || this.end === undefined;
        },
        enumerable: false,
        configurable: true
    });
    /**
     * Clone the current import object.
     *
     * @returns {NamespaceImport}
     *
     * @memberof NamespaceImport
     */
    NamespaceImport.prototype.clone = function () {
        return new NamespaceImport(this.libraryName, this.alias, this.start, this.end);
    };
    return NamespaceImport;
}());
exports.NamespaceImport = NamespaceImport;
