"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringImport = void 0;
/**
 * Simple string import (i.e. import "reflect-metadata";).
 *
 * @export
 * @class StringImport
 * @implements {Import}
 */
var StringImport = /** @class */ (function () {
    function StringImport(libraryName, start, end) {
        this.libraryName = libraryName;
        this.start = start;
        this.end = end;
    }
    Object.defineProperty(StringImport.prototype, "isNew", {
        get: function () {
            return this.start === undefined || this.end === undefined;
        },
        enumerable: false,
        configurable: true
    });
    /**
     * Clone the current import object.
     *
     * @returns {StringImport}
     *
     * @memberof StringImport
     */
    StringImport.prototype.clone = function () {
        return new StringImport(this.libraryName, this.start, this.end);
    };
    return StringImport;
}());
exports.StringImport = StringImport;
