"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseEnum = void 0;
var EnumDeclaration_1 = require("../declarations/EnumDeclaration");
var parse_utilities_1 = require("./parse-utilities");
/**
 * Parses an enum node into the declaration.
 *
 * @export
 * @param {resource} resource
 * @param {EnumDeclaration} node
 */
function parseEnum(resource, node) {
    var declaration = new EnumDeclaration_1.EnumDeclaration(node.name.text, parse_utilities_1.isNodeExported(node), node.getStart(), node.getEnd());
    declaration.members = node.members.map(function (o) { return o.name.getText(); });
    resource.declarations.push(declaration);
}
exports.parseEnum = parseEnum;
