"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseTypeAlias = void 0;
var TypeAliasDeclaration_1 = require("../declarations/TypeAliasDeclaration");
var parse_utilities_1 = require("./parse-utilities");
/**
 * Parses a type alias into the declaration.
 *
 * @export
 * @param {Resource} resource
 * @param {TypeAliasDeclaration} node
 */
function parseTypeAlias(resource, node) {
    resource.declarations.push(new TypeAliasDeclaration_1.TypeAliasDeclaration(node.name.text, parse_utilities_1.isNodeExported(node), node.getStart(), node.getEnd()));
}
exports.parseTypeAlias = parseTypeAlias;
